package p07_funkcje;

import java.util.Scanner;

public class Silnia {
    // 1 * 2 * ... * n
    static long silnia(int n) {
        long wynik = 1;
        for(int i = 2; i <= n; i++) {
            wynik *= i;
        }
        return wynik;
    }

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        while (true) {
            System.out.print("Podaj argument (ujemny kończy): ");
            int arg = scanner.nextInt();
            if(arg < 0) break;
            var wynik = silnia(arg);
            System.out.println("silnia(" + arg + ") = " + wynik);
        }
    }
}
